de.bezier.data.sql

## Class PostgreSQL

- java.lang.Object
- - de.bezier.data.sql.SQL
  - - de.bezier.data.sql.PostgreSQL

-     public class PostgreSQL
      extends SQL

  PostgreSQL wrapper for SQL library for Processing 2+

  This is a wrapper around some of sun's java.sql.* classes and the "org.postgresql.Driver" driver by postgresql.org (BSD).

  see:
  - http://jdbc.postgresql.org/download.html
  - http://java.sun.com/products/jdbc/
  PostgreSQL on OS-X (i used a mix of these on 10.5.x):
  - http://developer.apple.com/internet/opensource/postgres.html
  - http://shifteleven.com/articles/2008/03/21/installing-postgresql-on-leopard-using-macports
  - http://systems.takizo.com/2008/03/10/installing-postgresql-82-on-leopard-with-macports/
  PostgreSQL documentation is at:
  - http://www.postgresql.org/docs/8.3/interactive/index.html
  Author:
    Florian Jenett - mail@florianjenett.de created: 2008-11-29 17:49:23 - fjenett modified: fjenett 2012-02

- - ### Field Summary

    - ### Fields inherited from class de.bezier.data.sql.SQL

      `connection, database, driver, previousQuery, result, server, statement, type, url, user`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostgreSQL(processing.core.PApplet _papplet, java.lang.String _database)`
    `PostgreSQL(processing.core.PApplet _papplet, java.lang.String _server, java.lang.String _database, java.lang.String _user, java.lang.String _pass)` Creates a new PostgreSQL connection.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getTableNames()` Get names of available tables in active database, needs to be implemented per db adapter.

    - ### Methods inherited from class de.bezier.data.sql.SQL

      `close, connect, dispose, escape, execute, execute, getBigDecimal, getBigDecimal, getBlob, getBlob, getBoolean, getBoolean, getColumnNames, getConnection, getDate, getDate, getDebug, getDouble, getDouble, getDriverVersion, getFloat, getFloat, getInt, getInt, getLong, getLong, getNameMapper, getObject, getObject, getString, getString, getTime, getTime, getTimestamp, getTimestamp, insertUpdateInDatabase, nameToGetter, nameToSetter, next, query, query, registerTableNameForClass, saveToDatabase, saveToDatabase, setDebug, setFromRow, setNameMapper`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostgreSQL

          public PostgreSQL(processing.core.PApplet _papplet,
                            java.lang.String _database)

    - #### PostgreSQL

          public PostgreSQL(processing.core.PApplet _papplet,
                            java.lang.String _server,
                            java.lang.String _database,
                            java.lang.String _user,
                            java.lang.String _pass)

      Creates a new PostgreSQL connection.
      Parameters:
        `_papplet` - Normally you'd pass "this" in for your sketch
        `_server` - The server running the database, try "localhost"
        `_database` - Name of the database
        `_user` - Username for that database
        `_pass` - Password for user

  - ### Method Detail

    - #### getTableNames

          public java.lang.String[] getTableNames()

      Description copied from class: `SQL`
      Get names of available tables in active database, needs to be implemented per db adapter.
      Specified by:
        `getTableNames` in class `SQL`
      Returns:
        String[] The table names

Processing library BezierSQLib (formerly SQLibrary) by Florian Jenett. (c) 2005 - 2023